Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 611038 - (python-anyjson) Review Request: python-anyjson - Wraps the best available JSON implementation available
Review Request: python-anyjson - Wraps the best available JSON implementation...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: python-celery
  Show dependency treegraph
 
Reported: 2010-07-03 05:22 EDT by Fabian Affolter
Modified: 2011-03-26 17:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 06:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2010-07-03 05:22:47 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyjson.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-anyjson-0.2.4-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/anyjson

Description:
Anyjson loads whichever is the fastest JSON module installed and
provides a uniform API regardless of which JSON implementation is used.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291803

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-anyjson-0.2.4-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop011 noarch]$ rpmlint python-anyjson-0.2.4-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Mattias Ellert 2010-07-15 01:44:45 EDT
Fedora Review python-anyjson 2010-07-15

rpmlint output:
$ rpmlint python-anyjson-0.2.4-1.fc12.noarch.rpm python-anyjson-0.2.4-1.fc12.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Package is named according to guidelines
+ Specfile is named accordingly
+ The package license tag (BSD) is a Fedora approved license
+ The package license tag corresponds to the actual license of the sources
+ License file is included as %doc
+ Specfile is written in legible English
+ Source matches upstream:

$ md5sum anyjson-0.2.4.tar.gz srpm/anyjson-0.2.4.tar.gz 
ed707033ad6cee0a44db199c289a4c80  anyjson-0.2.4.tar.gz
ed707033ad6cee0a44db199c289a4c80  srpm/anyjson-0.2.4.tar.gz

+ Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2321200
+ BuildRequires are sane
+ No locales
+ No shares libraries
+ No bundled libraries
+ Package owns directories it creates
+ No duplicate files
+ Permissions are sane and %files has %defattr
+ Specfile uses macros consistently
+ Contains code
+ %doc is not runtime essential
+ No header files
+ No static libraries
+ No libtool archives
+ Package does not own other's directories
+ Installed files have valid UTF8 filenames


Package approved
Comment 2 Fabian Affolter 2010-07-15 14:49:50 EDT
Thanks for the review, Matthias.
Comment 3 Fabian Affolter 2010-07-15 14:50:50 EDT
New Package CVS Request
=======================
Package Name: python-anyjson
Short Description: Wraps the best available JSON implementation available
Owners: fab
Branches: F-12 F-13
InitialCC:
Comment 4 Kevin Fenzi 2010-07-16 13:34:28 EDT
CVS done (by process-cvs-requests.py).
Comment 5 Fabian Affolter 2011-01-27 16:53:21 EST
Package Change Request
======================
Package Name: python-anyjson
New Branches: EL-5, EL-6 
Owners: fab
Comment 6 Jason Tibbitts 2011-01-27 21:14:35 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.